Package tigase.server.rtbl

# Class RTBLFetchModule

java.lang.Object
tigase.component.modules.AbstractModule
tigase.server.rtbl.RTBLIqModule<String>
tigase.server.rtbl.RTBLFetchModule

All Implemented Interfaces:
  `Module`, `Initializable`, `UnregisterAware`

@Bean(name="rtblFetchModule", parent=RTBLComponent.class, active=true) public class RTBLFetchModule extends RTBLIqModule<String>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class tigase.server.rtbl.RTBLIqModule

  `RTBLIqModule.RequestKey, RTBLIqModule.ResultEvent`

- ## Field Summary

  ### Fields inherited from class tigase.component.modules.AbstractModule

  `eventBus, log, writer`

  ### Fields inherited from interface tigase.component.modules.Module

  `EMPTY_FEATURES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RTBLFetchModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fetch(BareJID jid, String node)`
  `protected void`
  `handleResult(RTBLIqModule.ResultEvent event, String node)`
  `protected void`
  `handleSuccess(Iq iq)`

  ### Methods inherited from class tigase.server.rtbl.RTBLIqModule

  `beforeUnregister, getComponent, getModuleCriteria, getOwnJID, handleResultEvent, initialize, process, sendIq`

  ### Methods inherited from class tigase.component.modules.AbstractModule

  `fireEvent, getEventBus, getWriter, setEventBus, setWriter, write, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.component.modules.Module

  `canHandle, getFeatures`

- ## Constructor Details

  - ### RTBLFetchModule

    public RTBLFetchModule()

- ## Method Details

  - ### fetch

    public void fetch(BareJID jid, String node)

  - ### handleResult

    protected void handleResult(RTBLIqModule.ResultEvent event, String node)
    Specified by:
      `handleResult` in class `RTBLIqModule<String>`

  - ### handleSuccess

    protected void handleSuccess(Iq iq)
    Overrides:
      `handleSuccess` in class `RTBLIqModule<String>`